Description

This is a guide for building the ArcheOS distribution on Debian 8 (Jessie).

Prepare the Environment

o Make sure the system is up to date:

sudo apt-get update && sudo apt-get upgrade

e |nstall a few dependencies:

sudo apt-get install apt-cacher-ng git live-build syslinux

e Start and enable apt-cacher-ng at boot:

sudo systemctl enable apt-cacher-ng
sudo systemctl start apt-cacher—-ng

Build ArcheOS

Download and import the qgis repo key:

wget -O /tmp/qgis-2016.gpg.key http://qggis.org/downloads/qgis-2016.gpg.key

sudo apt-key add /tmp ggis-2016.gpg.key

e Clone the hypatia branch of the ArcheOS repo and enter the build directory:

git clone -b hypatia https://github.com/archeos/Arche0S.git

cd ArcheOS/debian-live/

NOTE: | needed to update the qgis public key in both config/archives/qgis.key.binary and config/archives/qgis.key.chroot

e Clean the build and configure as necessary:

sudo 1lb clean
1b config —--distribution jessie

e Build the ArcheOS ISO:

sudo l1lb build
NOTE: A file named binary-hybrid.iso will be created in the working directory.

e Clean the environment:

sudo 1lb clean —--purge

NOTE: The default user is live with empty password

Resources

e https://github.com/archeos/ArcheOS
¢ http://doc.archeos.eu/development/pages/build-iso.html

History

#1 - 01/27/2017 08:36 PM - Daniel Curtis
- Description updated

- Status changed from New to In Progress

#2 - 01/29/2017 05:01 PM - Daniel Curtis
- % Done changed from 0 to 30

#3 - 01/30/2017 11:35 AM - Daniel Curtis

- Description updated

#4 - 01/30/2017 04:45 PM - Daniel Curtis

- Description updated

#5 - 06/04/2017 09:20 PM - Daniel Curtis

- Status changed from In Progress to Suspended
